<?php

namespace Zen\Paymentpage\Model;

use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Payment\Helper\Data;

/**
 * Class ConfigProvider
 *
 * @package Zen\Paymentpage\Model
 */
class ConfigProvider implements ConfigProviderInterface
{
	const PP_CODE = 'zen_paymentpage';

	/**
	 * @var PaymentPage
	 */
	protected $paymentPageMethod;

	/**
	 * Payment ConfigProvider constructor.
	 *
	 * @param Data $paymentHelper
	 *
	 * @throws \Magento\Framework\Exception\LocalizedException
	 */
	public function __construct(Data $paymentHelper)
	{
		$this->paymentPageMethod = $paymentHelper->getMethodInstance(self::PP_CODE);
	}

	/**
	 * Retrieve assoc array of checkout configuration
	 *
	 * @return array
	 */
	public function getConfig()
	{
		$config = [];

		if($this->paymentPageMethod->isAvailable()) {
			$config = [
				'payment' => [
					self::PP_CODE => [
						'redirectUrl' => $this->paymentPageMethod->getCheckoutRedirectUrl(),
					],
				],
			];
		}

		return $config;
	}
}
